(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4914,        128]
NotebookOptionsPosition[      4308,        109]
NotebookOutlinePosition[      4742,        126]
CellTagsIndexPosition[      4699,        123]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8123100159001274`*^9, 
  3.812310023072204*^9}},ExpressionUUID->"635bb7a3-c354-495c-a208-\
57a1ec6b1545"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A", "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {"1", "1", "0", "0", "0", "0", "0", "1", "0", "0"},
      {"1", "0", "1", "1", "0", "1", "0", "0", "0", "0"},
      {"0", "1", "1", "0", "1", "0", "0", "0", "0", "1"},
      {"0", "0", "0", "1", "0", "0", "0", "0", "1", "0"},
      {"0", "0", "0", "0", "1", "0", "1", "1", "1", "0"},
      {"0", "0", "0", "0", "0", "1", "1", "0", "0", "1"}
     }], "\[NoBreak]", ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"GrafoMI", "[", 
  RowBox[{"A", ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f"}], "}"}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.812310029958359*^9, 3.8123101145116234`*^9}, 
   3.8123101542241545`*^9, {3.812310200801241*^9, 3.8123102177389812`*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"357ead15-fe84-45ac-a334-aeb7fbcc5fda"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`d, \
$CellContext`e, $CellContext`f}, {
      Null, {{1, 2}, {1, 3}, {1, 5}, {2, 3}, {2, 4}, {2, 6}, {3, 5}, {3, 6}, {
       4, 5}, {5, 6}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImKD4p819Y7P1lewYoqCn42Hi8/639rNdv+gtsP9qj
y8PAZxt+jUadlxjyGxsOHPde8dZe6vLNf5vkHtijm4euH13+wur/bg/a/9vb
7JzDkRiJKX/o1X9FzuLL9suPf1s4z/Inhnno9qPLo+tHtw9dPzofXT8AbQmV
9w==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0.3114676661757128, 0.}, 0.022373061683605422], 
         InsetBox["a", 
          Offset[{2, 2}, {0.33384072785931823, 0.022373061683605422}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9238011873199095, 1.0774999258125946}, 
          0.022373061683605422], 
         InsetBox["b", 
          Offset[{2, 2}, {0.9461742490035149, 1.0998729874961999}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.7866826803600858}, 0.022373061683605422], 
         InsetBox["c", 
          Offset[{2, 2}, {0.022373061683605422, 0.8090557420436912}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9706728719127007, 0.792160527058321}, 
          0.022373061683605422], 
         InsetBox["d", 
          Offset[{2, 2}, {1.993045933596306, 0.8145335887419264}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.9267939473538914, 0.5037474610859107}, 
          0.022373061683605422], 
         InsetBox["e", 
          Offset[{2, 2}, {0.9491670090374968, 0.5261205227695162}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.3038962204006276, 1.5765672995298503}, 
          0.022373061683605422], 
         InsetBox["f", 
          Offset[{2, 2}, {0.326269282084233, 1.5989403612134558}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.812310219900182*^9, 3.8123104815915217`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"688e7f35-e75f-410f-a839-18e65256ba69"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c770b604-1eb3-47f6-9d62-49db7ac8fdb3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 182, 4, 63, "Input",ExpressionUUID->"635bb7a3-c354-495c-a208-57a1ec6b1545"],
Cell[CellGroupData[{
Cell[765, 28, 881, 18, 346, "Input",ExpressionUUID->"357ead15-fe84-45ac-a334-aeb7fbcc5fda"],
Cell[1649, 48, 2643, 58, 631, "Output",ExpressionUUID->"688e7f35-e75f-410f-a839-18e65256ba69"]
}, Open  ]]
}
]
*)

